Bug 97254 - LPRng remote printing problems
LPRng remote printing problems
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: LPRng (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-11 18:08 EDT by Satish Balay
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-12 07:12:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Satish Balay 2003-06-11 18:08:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
lpq/rpr supports an option for using a remote printer/lpd queue

lpq -Pprinter@RemoteMachine%PortNumber

I use this feature to print to a remote printer using an ssh forwarded port.

This feature does not work with the LPRng packages shipped with RH8.0 - but
works with the LPRng-3.8.19-3.1 (as shipped with RH-9 - after 'rpmbuild
--rebuild' on RH-8.0)

Version-Release number of selected component (if applicable):
LPRng-3.8.9-6.i386.rpm, LPRng-3.8.19-3.1.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1. Make sure LPRng is installed
2. forward a remote printer port using ssh

ssh remotemachine -L10515:printservermachine:515

Here the print server is a different machine than login machine

3. /usr/bin/lpq.LPRng  -Plw3@localhost%10515
    

Actual Results:  [balay@dreamcast balay]$ /usr/bin/lpq.LPRng  -Plw3@localhost%10515
Printer 'lw3@localhost' - cannot open connection - No such file or directory
Make sure the remote host supports the LPD protocol
and accepts connections from this host and from non-privileged (>1023) ports


Expected Results:  [balay@dreamcast balay]$ /usr/bin/lpq.LPRng 
-Plw3@localhost%10515
Printer: lw3@gutenberg 'lw3_local'
 Queue: no printable jobs in queue
 Status: lw3 printed STDIN for mcdowell mcdowell on ....
[balay@dreamcast balay]$



Additional info:

Note You need to log in before you can comment on or make changes to this bug.